%define name xmms-scrobbler
%define version 0.4.0
%define release %mkrel 1

Summary:	A xmms plugin that builds a profile of your musical taste
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0: http://xmms-scrobbler.sommitrealweird.co.uk/download/%{name}-%{version}.tar.bz2
License:	GPL
Group:		Sound
Url:		http://xmms-scrobbler.sommitrealweird.co.uk/
BuildRequires:	musicbrainz-devel
BuildRequires:	curl-devel
BuildRequires:	xmms-devel
BuildRequires:	taglib-devel

%description
Audioscrobbler builds a profile of your musical taste using a plugin
for XMMS. Plugins send the name of every song you play to the
Audioscrobbler server, which updates your musical profile with the new
song. Every person with a plugin has their own page on this site which
shows their listening statistics. The system automatically matches you
to people with a similar music taste, and generates personalised
recommendations.


%prep
%setup -q

%build
%configure2_5x --disable-bmp-plugin
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
rm -f %buildroot%{_libdir}/*/General/lib*_scrobbler.la
%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL KnownIssues NEWS README README.tags TODO
%{_libdir}/xmms/General/libxmms_scrobbler.so




%changelog
* Mon Dec 17 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.4.0-1mdv2008.1
+ Revision: 130411
- kill re-definition of %%buildroot on Pixel's request

* Wed Jul 18 2007 Götz Waschk <waschk@mandriva.org> 0.4.0-1mdv2008.0
+ Revision: 53237
- new version
- drop patch
- update URL
- update deps


* Thu Jan 04 2007 Götz Waschk <waschk@mandriva.org> 0.3.8.1-8mdv2007.0
+ Revision: 104255
- Import xmms-scrobbler

* Thu Jan 04 2007 Gtz Waschk <waschk@mandriva.org> 0.3.8.1-8mdv2007.1
- Rebuild

* Sat Jul 22 2006 Gtz Waschk <waschk@mandriva.org> 0.3.8.1-7mdv2007.0
- add Ubunutu patch with bug fixes
- drop audacious support

* Mon Mar 06 2006 Gtz Waschk <waschk@mandriva.org> 0.3.8.1-6mdk
- drop audacious plugin

* Fri Jan 06 2006 Gtz Waschk <waschk@mandriva.org> 0.3.8.1-5mdk
- remove one remaining bmp string in the audacious package

* Sat Dec 31 2005 Gtz Waschk <waschk@mandriva.org> 0.3.8.1-4mdk
- improve audacious patch

* Fri Dec 02 2005 Gtz Waschk <waschk@mandriva.org> 0.3.8.1-3mdk
- fix the patch
- obsolete bmp plugin

* Thu Dec 01 2005 Gtz Waschk <waschk@mandriva.org> 0.3.8.1-2mdk
- add audacious build

* Thu Jun 09 2005 Gtz Waschk <waschk@mandriva.org> 0.3.8.1-1mdk
- new source URL
- New release 0.3.8.1

* Wed Feb 02 2005 Olivier Blin <oblin@mandrakesoft.com> 0.3.6-1mdk
- initial Mandrakelinux release

